.card {
  display: none;
  position: relative;
  width: 450px;
  height: 450px;
  border-radius: 10px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  box-shadow: 0 10px 20px 0 rgba(255, 255, 255, 0.3),
    0 -10px 20px 0 rgba(255, 255, 255, 0.3);
}

.card-mobile {
  position: relative;
  width: 300px;
  height: 300px;
  border-radius: 10px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  box-shadow: 0 10px 20px 0 rgba(255, 255, 255, 0.3),
    0 -10px 20px 0 rgba(255, 255, 255, 0.3);
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  color: #fff;
  display: flex;
  flex-direction: column;
  opacity: 0;
  transition: opacity 0.3s ease;
  padding: 25px;
  cursor: default;
  border-radius: 10px;
}

.card:hover .overlay {
  opacity: 1;
}

.card-title {
  color: #f3ec32;
  font-weight: 700;
  font-size: 2.5rem;
  text-transform: uppercase;
}

.link {
  width: 30px;
  height: 30px;
  background-image: url("../assets/img/link.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  position: absolute;
  bottom: 10px;
  right: 10px;
}

.date-time,
.location {
  font-size: 1.5rem;
}

.opera-zagreb {
  background-image: url("../assets/img/disco_opera_zagreb.png");
}

.kaliopi {
  background-image: url("../assets/img/koncertna_dvorana_vatroslav_Lisinski_kaliopi.jpg");
}

.hari_split {
  background-image: url("../assets/img/hari_mata_hari_split.png");
}

.hari_zagreb {
  background-image: url("../assets/img/hari_mata_hari_zagreb.png");
}

.kafanska-noc {
  background-image: url("../assets/img/hari_mata_hari_virovitica.png");
}

.card img,
.card-mobile img {
  border-radius: 10px;
  width: 100%;
  height: 100%;
}

@media screen and (min-width: 767px) {
  .card-mobile {
    width: 350px;
    height: 350px;
  }

  .link {
    width: 40px;
    height: 40px;
  }
}

@media screen and (min-width: 1024px) {
  .card {
    display: block;
  }

  .card-mobile {
    display: none;
  }
}
